PHP Manual
Prev |  | Next

# pcntl_wifsignaled

(PHP 4 >= 4.1.0, PHP 5)

pcntl_wifsignaled -- Checks wether the status code represents a termination due to a signal

## Description

bool pcntl_wifsignaled ( int status )

Checks wether the child process exited because of a signal which was not caught.

## Parameters

`status`

  The parameter `status` is the status parameter supplied to a successfull call to pcntl_waitpid().

## Return Values

Returns `TRUE` if the child process exited because of a signal which was not caught, `FALSE` otherwise.

## See Also

pcntl_waitpid()
pcntl_signal()

Prev | Home | Next
pcntl_wifexited | Up | pcntl_wifstopped